% Created 2023-02-22 Wed 00:03
% Intended LaTeX compiler: pdflatex
\documentclass[presentation]{beamer}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{graphicx}
\usepackage{longtable}
\usepackage{wrapfig}
\usepackage{rotating}
\usepackage[normalem]{ulem}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{capt-of}
\usepackage{hyperref}
\usetheme{Berlin}
\author{Jose Fernandes}
\date{2023-02-22}
\title{Presentation}
\hypersetup{
 pdfauthor={Jose Fernandes},
 pdftitle={Presentation},
 pdfkeywords={},
 pdfsubject={},
 pdfcreator={Emacs 28.2 (Org mode 9.6)}, 
 pdflang={English}}
\begin{document}

\maketitle
\begin{frame}{Outline}
\tableofcontents
\end{frame}





\section{Introduction}
\label{sec:org3401bcc}

\begin{frame}[label={sec:orgd54d0bc}]{Hello Everyone!}
\begin{itemize}
\item I am looking forward to give some insight about my experience
\item hoping to provide a positive impact!
\end{itemize}
\end{frame}

\begin{frame}[label={sec:orgf9c5529}]{Profile}
\begin{itemize}
\item Jose
\item I came to Scotland in 2016
\item ambitioned to practice Software Engineering
\item I love programming!
\item I have a passion for football (it will relate, I promise!)
\item \href{https://github.com/xecarlox94}{My Github}
\end{itemize}
\end{frame}



\begin{frame}[label={sec:org89777e8}]{Journey up to now}
\begin{enumerate}
\item Edinburgh College Graduate
\begin{itemize}
\item started as a NC level 6 Computing with Digital Media
\item HND Software Development
\end{itemize}
\item currently finishing my masters, I am in the last semester
\item recently joined The National Robotarium as data engineer
\end{enumerate}
\end{frame}


\section{Academic Advice}
\label{sec:orgfed276b}


\begin{frame}[label={sec:org19cdf74}]{Organisation beats working hard}
\begin{columns}
\begin{column}{0.45\columnwidth}
\begin{itemize}
\item \href{https://www.amazon.co.uk/How-Become-Straight-Student-Unconventional/dp/0767922719}{Cal Newport's book about studying}
\item written to discover how EFFICIENT students
\item higly influenced my academic life
\item teaches you how to develop good study habits/processes
\end{itemize}
\end{column}

\begin{column}{0.45\columnwidth}
\begin{center}
\includegraphics[width=.9\linewidth]{./astudent.jpg}
\end{center}
\end{column}
\end{columns}
\end{frame}


\begin{frame}[label={sec:orgcdc4786}]{Dedication is not wasting time}
\begin{columns}
\begin{column}{0.45\columnwidth}
\begin{itemize}
\item trust the process
\item if you want to learn a craft, apply yourself!
\item learning is always an investment in yourself
\end{itemize}
\end{column}


\begin{column}{0.45\columnwidth}
\begin{center}
\includegraphics[width=.9\linewidth]{./karate_kid.jpg}
\end{center}
\end{column}
\end{columns}
\end{frame}

\begin{frame}[label={sec:orgfddbf3c}]{Do not rush!}
\begin{enumerate}
\item I had the opportunity to join 3rd of university
\begin{itemize}
\item Many of my college colleagues rushed to 3rd, some failed
\end{itemize}
\item I decided to go for 2nd year
\begin{itemize}
\item I desired to learn computer science foundations
\item build a solid unnderstanding of the field
\end{itemize}
\item I decided to go for a Masters
\begin{itemize}
\item yet another year of studying
\item I gladly took on the challenge
\item I am now thankful for not rushing
\end{itemize}
\end{enumerate}
\end{frame}


\section{Work Experience}
\label{sec:org294438f}


\begin{frame}[label={sec:orgca323dd}]{Personal Project}
\begin{enumerate}
\item I was bored during the lockdown, one week in!!
\item decided to learn new skills
\begin{itemize}
\item I was interested in data science
\item wanted to learn python
\end{itemize}
\item downloaded a football dataset
\begin{itemize}
\item created a simple mathematical model
\item created a simple expected goals model
\end{itemize}
\item unintentionally, I created a portofolio
\begin{itemize}
\item published the jupyter notebook on my github
\item helped me getting job opportunities
\end{itemize}
\item I am currently building a startup from that project
\end{enumerate}
\end{frame}




\begin{frame}[label={sec:org07509d1}]{NCR, internship (Summer 2022, Dundee)}
\begin{itemize}
\item joined as a junior data engineer
\item the manager never showed up in the office
\item I went to the office everyday, I had to be self-disciplined
\item did a lot of unpaid overtime and finished late
\begin{itemize}
\item I had to learn the technology
\item USA interns would help me out
\end{itemize}
\item I got really good, really fast!
\item I got invaluable experience!
\end{itemize}
\end{frame}

\begin{frame}[label={sec:org1118ba9}]{The National Robotarium}
\begin{itemize}
\item joined as a data engineer for the OLTER project
\item amazing experience, I am loving every day!
\item what I love about this place:
\begin{itemize}
\item Great People!
\item Excellent Professionals!
\item Great Team!
\item Fantastic Projects are always on!
\end{itemize}
\end{itemize}
\end{frame}



\section{General advice}
\label{sec:org654d344}

\begin{frame}[label={sec:org1ee7d0c}]{Personal projects}
\begin{itemize}
\item create your own project
\item related it to your passions, you won't need motivation
\item push all the projects to github!
\item link your github profile to your cv!!
\end{itemize}
\end{frame}


\begin{frame}[label={sec:orgad656ad}]{Get a \href{https://www.raspberrypi.com/}{Raspberry pi}}
\begin{itemize}
\item during covid developed mastermind program using real buttons
\begin{itemize}
\item first only in C and then I bound Assembly code for small functions
\item learnt so much about programming and linux!
\end{itemize}
\item bought my own and it is the best computer for a student
\begin{itemize}
\item good enough to study and write documents
\item but not good enough to modern games or distractions
\end{itemize}
\end{itemize}
\end{frame}


\begin{frame}[label={sec:org06b4596}]{I mean it, get a \href{https://www.raspberrypi.com/}{Pi} as soon as possible!}
\begin{columns}
\begin{column}{0.45\columnwidth}
\begin{itemize}
\item we are really spoiled!
\item best computing learning experience!
\item we use it regularly at NR!
\item looks great in your cv!
\end{itemize}
\end{column}


\begin{column}{0.45\columnwidth}
\begin{center}
\includegraphics[width=.9\linewidth]{./raspberry_pi.jpg}
\end{center}
\end{column}
\end{columns}
\end{frame}


\begin{frame}[label={sec:orgddaf6e0}]{Use Linux}
\begin{columns}
\begin{column}{0.45\columnwidth}
\begin{itemize}
\item We have the best memes!
\item install it on a old/cheap pc, that you don't rely on
\item Try many distributions, have fun!!
\item You will learn so much about Computing
\end{itemize}
\end{column}

\begin{column}{0.45\columnwidth}
\begin{center}
\includegraphics[width=.9\linewidth]{./arch.png}
\end{center}
\end{column}
\end{columns}
\end{frame}

\begin{frame}[label={sec:org28c05c2}]{Learn VIM}
\begin{columns}
\begin{column}{0.45\columnwidth}
\begin{itemize}
\item \href{https://www.youtube.com/watch?v=3eyzINMjlEk\&list=PL-p5XmQHB\_JSTaEPygu1DZjuFfb704Uv7}{Watch Luke Smith Vim/Linux videos, they are excelent!}
\item you will code faster
\item you will code in the terminal, therefore anywhere!
\item you will save time of your life
\end{itemize}
\end{column}

\begin{column}{0.45\columnwidth}
\begin{center}
\includegraphics[width=.9\linewidth]{./vim_diesel.png}
\end{center}
\end{column}
\end{columns}
\end{frame}


\section{Recommendations}
\label{sec:org1441954}

\begin{frame}[label={sec:org97a3481}]{Book Recommendations}
\begin{itemize}
\item \href{https://www.amazon.co.uk/Obstacle-Way-Timeless-Turning-Triumph/dp/1591846358}{Ryan holiday - ``Obstacle is the way''}
\item \href{https://www.amazon.co.uk/Ego-Enemy-Ryan-Holiday/dp/1591847818}{Ryan Holiday - ``Ego is the Enemy''}
\item \href{https://www.amazon.co.uk/Permanent-Record-Edward-Snowden/dp/1529035651}{Edward Snowden -  ``Permanent Record''}
\end{itemize}
\end{frame}


\begin{frame}[label={sec:org82aacfb}]{Youtube Recommendations}
\begin{itemize}
\item \href{https://www.youtube.com/@LukeSmithxyz/playlists}{Luke Smith - Linux/Vim videos}
\item \href{https://www.youtube.com/@DistroTube/playlists}{DistroTube - Linux videos}
\end{itemize}
\end{frame}

\begin{frame}[label={sec:orgc6919b7}]{The End}
Thank you for your attention!
\end{frame}

\section{QAs}
\label{sec:org1a0c3cd}

\begin{frame}[label={sec:org2c24f3d}]{Do you have any question?}
Feel free to ask any question :)
\end{frame}
\end{document}